org.apache.ignite.internal.util.ipc.shmem

## Class IpcSharedMemoryNativeLoader

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryNativeLoader

    public class IpcSharedMemoryNativeLoader
    extends Object

Shared memory native loader.

### Constructor Summary

Constructors
Constructor and Description
`IpcSharedMemoryNativeLoader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `load(IgniteLogger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IpcSharedMemoryNativeLoader

    public IpcSharedMemoryNativeLoader()

### Method Detail

#### load

    public static void load(IgniteLogger log)
                     throws IgniteCheckedException

Parameters:
  `log` - Logger, if available. If null, warnings will be printed out to console.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022